# Define the kmod package name here.
%define kmod_name aacraid

# Define the tarball serial number here.
%define serial 52033

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-696.1.1.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 1.2.1
Release: 13%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.adaptec.com/

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources.
Source0:  http://download.adaptec.com/raid/aac/linux/%{kmod_name}-linux-src-%{version}-%{serial}.tgz
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh
Source15: ELRepo-%{kmod_name}-modules

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the %{kmod_name} kernel module(s).
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -c -n %{kmod_name}-%{version}-%{serial}
rpm2cpio %{kmod_name}-%{version}-%{serial}.src.rpm | %{__cpio} -Bcdimu
%{__mkdir} %{kmod_name}_source
pushd %{kmod_name}_source >/dev/null
%{__tar} -zxf ../%{kmod_name}_source.tgz
%{__chmod} 664 *
popd >/dev/null
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" %{?_smp_mflags} modules M=$PWD/%{kmod_name}_source

%install
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=extra/%{kmod_name}
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" modules_install M=$PWD/%{kmod_name}_source
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_sysconfdir}/sysconfig/modules/
%{__install} %{SOURCE15} %{buildroot}%{_sysconfdir}/sysconfig/modules/%{kmod_name}.modules
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE5} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{kmod_name}_source/CHANGELOG %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{kmod_name}_source/README %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{kmod_name}_source/README.ServeRAID %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{kmod_name}_source/TODO %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Tue Oct 27 2015 vvm@jinr.ru
- Updated to the 41024 variant of the 1.2.1 source tarball.

* Tue Oct 07 2014 Alan Bartlett <ajb@elrepo.org> - 1.2.1-5
- Updated to the 40700 variant of the 1.2.1 source tarball.

* Sun Jan 05 2014 Alan Bartlett <ajb@elrepo.org> - 1.2.1-4
- Updated to the 40300 variant of the 1.2.1 source tarball.

* Sat Sep 07 2013 Alan Bartlett <ajb@elrepo.org> - 1.2.1-3
- Updated to the 30300 variant of the 1.2.1 source tarball.

* Thu Jun 06 2013 Alan Bartlett <ajb@elrepo.org> - 1.2.1-2
- Updated to the 30200 variant of the 1.2.1 source tarball.

* Mon Jan 07 2013 Alan Bartlett <ajb@elrepo.org> - 1.2.1-1
- Updated to the 29900 variant of the 1.2.1 source tarball.

* Thu Jul 12 2012 Alan Bartlett <ajb@elrepo.org> - 1.1.7-4
- Updated to the 29100 variant of the 1.1.7 source tarball.

* Thu Mar 01 2012 Alan Bartlett <ajb@elrepo.org> - 1.1.7-3
- Updated to the 28700 variant of the 1.1.7 source tarball.
- Set release to 3 so as to be in sync with the EL5 version.

* Sun May 15 2011 Alan Bartlett <ajb@elrepo.org> - 1.1.7-1
- Initial el6 build of the kmod package.
